Subject: Re: [mpls] wg last call on ethernet-addressing drafts

From: Stewart Bryant <[email-masked]>
Date: Tue, 04 Dec 2012 11:02:20 +0000

On 23/10/2012 03:32, Lizhong Jin wrote:
>
>
> > 2. For the "Ethernet Interface Parameters" application, is it
> > allowed to apply GAP Request, Flush or Suppress message specified in
> > [I-D.ietf-mpls-gach-adv]? E.g, to use GAP Request to request MAC 
> address.
> > Yes if it makes sense in your application. I can see that you might
> > for example suppress the MAC address refresh and rely on your peer
> > to over-ride the request if the address changed.
> >
> > I am not sure why this needs clarification since the Ethernet draft
> > inherits the rules of the GAP protocol.
> [Lizhong] in section 4, all the description is for application 
> "0x0001", while the request/suppress message in 
> [I-D.ietf-mpls-gach-adv] is for application "0x0000".
> e.g, "This document defines a new GAP application, "Ethernet Interface 
> Parameters", to support the advertisement of Ethernet-specific 
> parameters associated with the sending interface."
> It seems the procedure in section 4 only inherits the GAP message, but 
> not GAP application "0x0000". It would be good have some description 
> to say, the GAP application "0x0000" could be also applied to this draft.
Lizhong

How about if we add to the GAP draft (immediately before section 4.1)

"Any application using the GAP inherits the ability to use facilities 
provide by Application 0x0000."

Stewart

---

From: Lizhong Jin<[email-masked]>
Date: Wed, 5 Dec 2012 09:11:53 +0800

Hi Stewart,
That's much better. Thanks

Lizhong

address. 
> "0x0001", while the request/suppress message in [I-D.ietf-mpls-gach-
> adv] is for application "0x0000". 
> e.g, "This document defines a new GAP application, "Ethernet 
> Interface Parameters", to support the advertisement of Ethernet-
> specific parameters associated with the sending interface." 
> It seems the procedure in section 4 only inherits the GAP message, 
> but not GAP application "0x0000". It would be good have some 
> description to say, the GAP application "0x0000" could be also 
> applied to this draft. 
> Lizhong
> 
> "Any application using the GAP inherits the ability to use 
> facilities provide by Application 0x0000."
> 
> Stewart